diff a/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java b/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java
--- a/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java
+++ b/src/jdk.compiler/share/classes/com/sun/tools/javac/util/Names.java
@@ -112,10 +112,11 @@
     public final Name java_io_Serializable;
     public final Name java_lang_Class;
     public final Name java_lang_Cloneable;
     public final Name java_lang_Enum;
     public final Name java_lang_Object;
+    public final Name java_lang_System;
 
     // names of builtin classes
     public final Name Array;
     public final Name Bound;
     public final Name Method;
@@ -149,10 +150,11 @@
     public final Name MethodParameters;
     public final Name Module;
     public final Name ModuleResolution;
     public final Name NestHost;
     public final Name NestMembers;
+    public final Name LoadableDescriptors;
     public final Name Record;
     public final Name RuntimeInvisibleAnnotations;
     public final Name RuntimeInvisibleParameterAnnotations;
     public final Name RuntimeInvisibleTypeAnnotations;
     public final Name RuntimeVisibleAnnotations;
@@ -203,10 +205,14 @@
 
     // string concat
     public final Name makeConcat;
     public final Name makeConcatWithConstants;
 
+    // values
+    public final Name dollarValue;
+
+
     // record related
     // members of java.lang.runtime.ObjectMethods
     public final Name bootstrap;
 
     public final Name record;
@@ -308,10 +314,11 @@
         java_io_Serializable = fromString("java.io.Serializable");
         java_lang_Class = fromString("java.lang.Class");
         java_lang_Cloneable = fromString("java.lang.Cloneable");
         java_lang_Enum = fromString("java.lang.Enum");
         java_lang_Object = fromString("java.lang.Object");
+        java_lang_System = fromString("java.lang.System");
 
         // names of builtin classes
         Array = fromString("Array");
         Bound = fromString("Bound");
         Method = fromString("Method");
@@ -345,10 +352,11 @@
         MethodParameters = fromString("MethodParameters");
         Module = fromString("Module");
         ModuleResolution = fromString("ModuleResolution");
         NestHost = fromString("NestHost");
         NestMembers = fromString("NestMembers");
+        LoadableDescriptors = fromString("LoadableDescriptors");
         Record = fromString("Record");
         RuntimeInvisibleAnnotations = fromString("RuntimeInvisibleAnnotations");
         RuntimeInvisibleParameterAnnotations = fromString("RuntimeInvisibleParameterAnnotations");
         RuntimeInvisibleTypeAnnotations = fromString("RuntimeInvisibleTypeAnnotations");
         RuntimeVisibleAnnotations = fromString("RuntimeVisibleAnnotations");
@@ -398,10 +406,12 @@
 
         // string concat
         makeConcat = fromString("makeConcat");
         makeConcatWithConstants = fromString("makeConcatWithConstants");
 
+        dollarValue = fromString("$value");
+
         bootstrap = fromString("bootstrap");
         record = fromString("record");
         non = fromString("non");
 
         serialPersistentFields = fromString("serialPersistentFields");
@@ -448,10 +458,14 @@
 
     public UnsharedNameTable newUnsharedNameTable() {
         return UnsharedNameTable.create(this);
     }
 
+    public boolean isInit(Name name) {
+        return name == init;
+    }
+
     public void dispose() {
         table.dispose();
     }
 
     public Name fromChars(char[] cs, int start, int len) {
